## pdns 2.9.22

=== codedocs/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# codedocs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/pdns
pkglibdir = $(libdir)/pdns
pkgincludedir = $(includedir)/pdns
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = codedocs
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ahu/work/pdns/pdns/missing --run aclocal-1.9
ALLSTATIC_FALSE = 
ALLSTATIC_TRUE = #
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ahu/work/pdns/pdns/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/ahu/work/pdns/pdns/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ahu/work/pdns/pdns/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ahu/work/pdns/pdns/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -D_GNU_SOURCE  -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DYNLINKFLAGS = -rdynamic
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -L/usr/local/pgsql/lib -Wl,-rpath,/usr/local/pgsql/lib 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBDL = -ldl 
LIBLDAP = ldap_r
LIBOBJS = 
LIBOPENDBX = opendbx
LIBS =  -lz
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/ahu/work/pdns/pdns/missing --run makeinfo
MYSQL_incdir = /usr/include/mysql
MYSQL_lib = 
NEDMALLOC_FALSE = 
NEDMALLOC_TRUE = #
NMEDIT = 
OBJEXT = o
PACKAGE = pdns
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PGSQL_incdir = /usr/include/postgresql
PGSQL_lib = -L/usr/local/pgsql/lib -Wl,-rpath,/usr/local/pgsql/lib
RANLIB = ranlib
RECURSOR_FALSE = 
RECURSOR_TRUE = #
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SQLITE3_incdir = /usr/include/
SQLITE3_lib = 
SQLITE_incdir = /usr/include/
SQLITE_lib = 
STRIP = strip
THREADFLAGS = -pthread
VERSION = 2.9.22
YACC = bison -y
YFLAGS = 
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/ahu/work/pdns/pdns/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
moduledirs =  mysqlbackend gmysqlbackend gpgsqlbackend xdbbackend pipebackend oraclebackend pipebackend pdnsbackend db2backend odbcbackend ldapbackend gsqlitebackend gsqlite3backend geobackend goraclebackend opendbxbackend
modulelibs =  -lmysqlclient -lz -lmysqlclient -lpq -lssl -lcrypto  -lcrypt   -lresolv -lnsl -ltdb  -L$(ORACLE_HOME)/lib -lclient9  -lclntst9  -lmysqlclient   -lldap_r -lsqlite -lsqlite3  -L$(ORACLE_HOME)/lib -lclient9  -lclntst9 -lopendbx
moduleobjects =  ../modules/mysqlbackend/mysqlcbackend.o ../modules/gmysqlbackend/gmysqlbackend.o ../modules/gmysqlbackend/smysql.o ../modules/gpgsqlbackend/gpgsqlbackend.o ../modules/gpgsqlbackend/spgsql.o ../modules/xdbbackend/xdbbackend.o ../modules/xdbbackend/xtdb.o ../modules/pipebackend/coprocess.o ../modules/pipebackend/pipebackend.o ../modules/oraclebackend/oraclebackend.o ../modules/pipebackend/coprocess.o ../modules/pipebackend/pipebackend.o ../modules/pdnsbackend/pdnsbackend.o ../modules/db2backend/DB2Backend.o ../modules/ldapbackend/ldapbackend.o ../modules/ldapbackend/powerldap.o ../modules/gsqlitebackend/gsqlitebackend.o ../modules/gsqlitebackend/ssqlite.o ../modules/gsqlite3backend/gsqlite3backend.o ../modules/gsqlite3backend/ssqlite3.o ../modules/geobackend/geobackend.o ../modules/geobackend/ippreftree.o ../modules/goraclebackend/goraclebackend.o ../modules/goraclebackend/soracle.o ../modules/opendbxbackend/odbxbackend.o ../modules/opendbxbackend/odbxprivate.o
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
programdescend = pdns
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
socketdir = /var/run
sysconfdir = ${prefix}/etc
target_alias = 
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  codedocs/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  codedocs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

codedocs: .
	doxygen doxygen.conf
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== pdns/docs/Makefile ===
# $Id: Makefile 1132 2008-02-05 19:46:15Z ahu $ 

all: pdns.txt pdns.pdf html/index.html html.tar.gz

pdns-expanded.sgml: pdns.sgml
	./expand < $< > $@
	
clean:
	rm -rf *.xml *.dvi *.pdf *.tex *.toc *.aux *.ps *.bak *.tmp *~ *.log html.tar.gz html pdns

html/index.html: pdns-expanded.sgml
	db2html -V %use-id-as-filename% -o html $<

html.tar.gz: html/index.html
	tar czf html.tar.gz html/

%.txt: %-expanded.sgml
	docbook2txt $<
	mv pdns-expanded.txt pdns.txt

%.pdf: %-expanded.sgml
	docbook2pdf $<
	mv pdns-expanded.pdf pdns.pdf

%.xml: %.txt
	asciidoc -b docbook -d manpage  $<
        
%: %.xml
	xmlto man $<
                
%.html: %.txt
	asciidoc -b xhtml11 -d manpage  $<
                        
publish:
	rsync --copy-links --delete -avrze ssh ./html pdns.txt pdns.pdf \
	exit.powerdns.com:/opt/websites/downloads.powerdns.com/www/documentation/
	ssh exit.powerdns.com ln -s /opt/websites/downloads.powerdns.com/www/documentation/images \
	/opt/websites/downloads.powerdns.com/www/documentation/html/

publish2:
	rsync --copy-links --delete -avrze ssh ./html pdns.txt pdns.pdf \
	ds9a.nl:/var/www/ds9a.nl/tmp/pdns-docs/

=== debian/changelog ===
pdns (2.9.22-9ubuntu2.1) oneiric-security; urgency=low

  * SECURITY UPDATE: temporary DoS with specially crafted packets (LP: #918588)
    - debian/patches/CVE-2012-0206: prevent the auth servers from
      entering a packet loop. Based on upstream suggestion.
    - CVE-2012-0206

 -- Imre Gergely <gimre@narancs.net>  Wed, 08 Feb 2012 22:54:35 +0200

pdns (2.9.22-9ubuntu2) oneiric; urgency=low

  * Build-depend on libtdb-dev rather than tdb-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Aug 2011 23:50:46 +0100

pdns (2.9.22-9ubuntu1) oneiric; urgency=low

  * Fix FTBFS due to multiarch sqlite3. (LP: #756198)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Mon, 04 Jul 2011 17:45:17 +0200

pdns (2.9.22-9build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 May 2011 23:08:03 +0100

pdns (2.9.22-9) unstable; urgency=low

  * My name is now spelled correctly with the ö instead of o.
  * Reupload to fix a unresolved symbol (Closes: #623036)
  * Add debug package for pdns-server (Closes: #594242)
  * Fix the lintian overrides.

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sun, 17 Apr 2011 13:02:43 +0200

pdns (2.9.22-8) unstable; urgency=high

  * Update init.d scripts and remove mysql and postgresql from the
    dependencies. The loop between mysql and pdns causes apt to fail hence
    the urgency high. (Closes: #595018)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 24 Sep 2010 16:24:04 +0200

pdns (2.9.22-7) unstable; urgency=low

  * Provide the file now in the correct location. (Closes: #585966)
  * Update Standards-Version to 3.9.1
  * Add new dnsdomain2.schema for LDAP (Closes: #589606)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Tue, 03 Aug 2010 18:25:28 +0200

pdns (2.9.22-6) unstable; urgency=high

  * Provide the virtual facility $named. (Closes: #585966)
  * Added danish translation thanks to Joe Dalton (Closes: #585572)
  * For now add a 2 second delay before continue with the boot process to
    ensure pdns is listening on a socket.
  * Update Standards-Version to 3.9.0

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 18 Jul 2010 14:48:27 +0200

pdns (2.9.22-5) unstable; urgency=low

  * Fix FTBFS on hurd
  * Should-Start / Should-Stop added for slapd, mysql and postgresql
    Thanks to Petter Reinholdtsen (Closes: #580819)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 23 May 2010 13:18:25 +0200

pdns (2.9.22-4) unstable; urgency=low

  * Add db_stop to fix an upgrade (Closes: #555311)
  * Fix error in postinst of sqlite and sqlite3 (Closes: #565516)
  * Updated Standards-Version to 3.8.4
  * Make lintian happy
  * Complete the pdns_control manpage (Closes: #556473)
  * Switch to dpkg-source 3.0 (quilt) format
  * Removing Christoph Haas from uploaders, thank you for the great work.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 09 Apr 2010 17:23:24 +0200

pdns (2.9.22-3) unstable; urgency=low

  * Fix a syntax error in postinst.
  * Removed old upgrade code for splitting the config.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 08 Nov 2009 14:48:57 +0100

pdns (2.9.22-2) unstable; urgency=low

  [ Christoph Haas ]
  * Fixed init.d script (Closes: #518294)
  * Moved resolvconf temp file to /var/run/powerdns (Closes: #333726)

  [ Matthijs Mohlmann ]
  * Updated Standards-Version to 3.8.3
  * Added russian translation (Closes: #539465)
  * Added spanish translation (Closes: #508987)
  * Added SQLite3 database schema to examples
  * Added PostgreSQL database schema to examples
  * Change libmysqlclient15-dev to libmysqlclient-dev.
  * Moved from dpatch to quilt patch system.
  * Fix FTBFS with gcc 4.4 (Closes: #510674)
  * Added italian translation (Closes: #552219, #548695)
  * Added basque translation (Closes: #553150)
  * Fixed init.d script including correct dependencies and runlevels
    (Closes: #548293)
  * Added finnish translation (Closes: #553648)
  * Implemented triggers to prevent multiple restarts (Closes: #502981)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 02 Nov 2009 12:49:43 +0100

pdns (2.9.22-1) unstable; urgency=low

  * New upstream version (closes: #513409).

 -- Christoph Haas <haas@debian.org>  Wed, 25 Feb 2009 23:25:51 +0100

pdns (2.9.21.2-2) unstable; urgency=low

  * Added japanese PO file (closes: #510705)

 -- Christoph Haas <haas@debian.org>  Mon, 05 Jan 2009 23:38:05 +0100

pdns (2.9.21.2-1) unstable; urgency=low

  * New Upstream Version
  * Included typo fixes from Thijs Kinkhorst (closes: #502982)
  * Removed the splitconfig call from debian/pdns-server.postinst as it
    broke configurations with multiline definitions. It should not be
    needed anymore anyway after an update from Sarge to Etch.
    (closes: #475141)
  * Added patch for LDAP requests spanning subdomains due to incorrect
    LDAP search query (closes: #500137).

 -- Christoph Haas <haas@debian.org>  Tue, 25 Nov 2008 20:11:46 +0100

pdns (2.9.21.1.0-1) unstable; urgency=low

  * Fixed glitch in upstream tarball for 2.9.2.21.1.
    Actually this is the same upstream version as 2.9.21.1 but due to a
    merging glitch when using git-buildpackage two files were changed.
    So the orig.tar.gz for 2.9.21.1 in Debian is not entirely correct
    (although it doesn't hurt either). To replace the wrong orig.tar.gz
    it needs a higher version number. 2.9.21.1.0-1 it newer than 2.9.21.1-1.

 -- Christoph Haas <haas@debian.org>  Fri, 08 Aug 2008 15:38:55 +0200

pdns (2.9.21.1-1) unstable; urgency=high

  * New Upstream Version (fixes CVE-2008-3337)

 -- Christoph Haas <haas@debian.org>  Thu, 07 Aug 2008 00:25:01 +0200

pdns (2.9.21-6) unstable; urgency=low

  * Use upstream patch for the ldapbackend. (See #462966)
  * Fix pdns-server hang in postinst (Closes: #468160)
  * Fix typo in the Description of pdns-backend-mysql to make lintian happy.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 02 Mar 2008 22:50:11 +0100

pdns (2.9.21-5) unstable; urgency=low



=== debian/control ===
Source: pdns
Section: net
Priority: extra
Standards-Version: 3.9.1
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthijs Möhlmann <matthijs@cacholong.nl>
Build-Depends: debhelper (>= 6.0.7), po-debconf, libtool, flex, bison, docbook-utils, docbook, libmysqlclient-dev, libpq-dev, libssl-dev, libtdb-dev, libgdbm-dev, libldap2-dev, libsqlite0-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, autotools-dev, automake1.9, autoconf
Vcs-Git: git://github.com/Signum/debian-pdns.git

Package: pdns-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), adduser
Replaces: pdns
Recommends: pdns-doc
Suggests: pdns-backend, pdns-recursor
Description: extremely powerful and versatile nameserver
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the authoritative nameserver that answers questions about
 domains that it knows about. It also includes the bind backend that
 allows PowerDNS to retrieve domain info from zone files as used by
 the "bind" software.

Package: pdns-server-dbg
Section: debug
Architecture: any
Priority: extra
Depends: pdns-server (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains debugging symbols for PowerDNS to assist in
 debugging, such as gdb. It is not required for normal operation.

Package: pdns-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: PowerDNS manual
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the complete manual for PowerDNS, documenting both how to
 install and configure it as well as how to write new backend modules.

Package: pdns-backend-pipe
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: pipe/coprocess backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the pipe backend for the PowerDNS nameserver. This
 allows PowerDNS to retrieve domain info from a process that accepts
 questions on stdin and returns answers on stdout. 

Package: pdns-backend-ldap
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: LDAP backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains an LDAP backend for the PowerDNS nameserver.

Package: pdns-backend-geo
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: geo backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a geobackend for the PowerDNS nameserver. This backend
 balances the load throughout the world so that people access the
 geographically nearest available server.

Package: pdns-backend-mysql
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: generic MySQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic MySQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-pgsql
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: generic PostgreSQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic PostgreSQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-sqlite
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite
Provides: pdns-backend
Description: sqlite backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic SQLite backend for PowerDNS.

Package: pdns-backend-sqlite3
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite3
Provides: pdns-backend
Description: sqlite backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic SQLite backend for PowerDNS.

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file

# Environment
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CXXFLAGS = -Wall -g
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

backends := ldap pipe gmysql gpgsql gsqlite gsqlite3 geo

# Targets
config.status:
	dh_testdir
	
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	
	# First run the bootstrap.
	./bootstrap

	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--sysconfdir=/etc/powerdns \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libdir='$${prefix}/lib/powerdns' \
		--libexecdir='$${prefix}/lib' \
		--with-dynmodules="$(backends)" \
		--with-modules="" \
		--with-pgsql-includes=`pg_config --includedir` \
		--disable-recursor \
		--with-sqlite3-lib=/usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH`

build: build-stamp
build-stamp: config.status
	
	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log config.sub config.guess
	
	# Add here commands to clean up after the build process.
	[ ! -f modules/db2backend/Makefile ] || $(MAKE) -C modules/db2backend/ distclean
	[ ! -f modules/pdnsbackend/Makefile ] || $(MAKE) -C modules/pdnsbackend/ distclean
	[ ! -f modules/xdbbackend/Makefile ] || $(MAKE) -C modules/xdbbackend/ distclean
	[ ! -f modules/mysqlbackend/Makefile ] || $(MAKE) -C modules/mysqlbackend/ distclean
	[ ! -f modules/goraclebackend/Makefile ] || $(MAKE) -C modules/goraclebackend/ distclean
	[ ! -f modules/opendbxbackend/Makefile ] || $(MAKE) -C modules/opendbxbackend/ distclean
	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f pdns/docs/Makefile ] || $(MAKE) -C pdns/docs clean
	
	dh_clean 

install:
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	# Install the stuff
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C pdns/docs html/index.html
	
	# Set up init.d virtual facility
	mkdir -p $(CURDIR)/debian/pdns-server/etc/insserv.conf.d
	cp $(CURDIR)/debian/pdns-server.insserv \
		$(CURDIR)/debian/pdns-server/etc/insserv.conf.d/pdns-server
	
	dh_install

# Build architecture independant packages.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_link -i
	dh_compress -i -X changelog.html
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installdebconf -a
	dh_installman -a
	dh_installexamples -a
	dh_lintian -a
	dh_link -a
	dh_strip -a --dbg-package=pdns-server-dbg
	dh_compress -a
	dh_fixperms -a
	chmod 755 $(CURDIR)/debian/pdns-server/etc/resolvconf/update.d/pdns
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## pdns 3.0

=== codedocs/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# codedocs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/pdns
pkgincludedir = $(includedir)/pdns
pkglibdir = $(libdir)/pdns
pkglibexecdir = $(libexecdir)/pdns
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = codedocs
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/boost.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ahu/auto-build/pdns/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/ahu/auto-build/pdns/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/ahu/auto-build/pdns/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ahu/auto-build/pdns/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ahu/auto-build/pdns/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = 
BOOST_PROGRAM_OPTIONS_LDFLAGS = -L/usr/local/lib -R/usr/local/lib
BOOST_PROGRAM_OPTIONS_LIBS = -lboost_program_options-mt
BOOST_ROOT = 
BOOST_SERIALIZATION_LDFLAGS = -L/usr/local/lib -R/usr/local/lib
BOOST_SERIALIZATION_LIBS = -lboost_serialization-mt
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -D_GNU_SOURCE  -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
DSYMUTIL = 
DUMPBIN = 
DYNLINKFLAGS = -rdynamic
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/opt/postgresql/lib -Wl,-rpath,/opt/postgresql/lib 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBDL = -ldl 
LIBLDAP = ldap_r
LIBOBJS = 
LIBOPENDBX = opendbx
LIBS =  -lz
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LUA_CFLAGS = -I/usr/include/lua5.1  
LUA_LIBS = -llua5.1  
MAKEINFO = ${SHELL} /home/ahu/auto-build/pdns/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MYSQL_incdir = /usr/include/mysql
MYSQL_lib = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = pdns
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PGSQL_incdir = /opt/postgresql/include
PGSQL_lib = -L/opt/postgresql/lib -Wl,-rpath,/opt/postgresql/lib
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SQLITE3_CFLAGS =  
SQLITE3_LIBS = -lsqlite3  
SQLITE_incdir = /usr/include/
SQLITE_lib = 
STRIP = strip
THREADFLAGS = -pthread
UNIXODBC_incdir = /usr/include/
UNIXODBC_lib = 
VERSION = 3.0
YACC = bison -y
YFLAGS = 
abs_builddir = /home/ahu/auto-build/pdns/codedocs
abs_srcdir = /home/ahu/auto-build/pdns/codedocs
abs_top_builddir = /home/ahu/auto-build/pdns
abs_top_srcdir = /home/ahu/auto-build/pdns
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/ahu/auto-build/pdns/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
moduledirs =  mysqlbackend mydnsbackend gmysqlbackend mongodbbackend luabackend gpgsqlbackend xdbbackend pipebackend oraclebackend pipebackend pdnsbackend db2backend odbcbackend ldapbackend gsqlitebackend gsqlite3backend geobackend goraclebackend opendbxbackend godbcbackend
modulelibs =  -lmysqlclient -lz -lmysqlclient -lz -lmysqlclient -L/opt/mongo/lib64/ -lmongoclient -lboost_thread -lboost_filesystem -lboost_system -llua5.1 -lpq -lssl -lcrypto  -lcrypt   -lresolv -lnsl -ltdb  -L$(ORACLE_HOME)/lib -lclntsh  -lmysqlclient   -lldap_r -lsqlite -lsqlite3  -L$(ORACLE_HOME)/lib -lclient9  -lclntst9 -lopendbx 
moduleobjects =  ../modules/mysqlbackend/mysqlcbackend.o ../modules/mydnsbackend/mydnsbackend.o ../modules/gmysqlbackend/gmysqlbackend.o ../modules/gmysqlbackend/smysql.o ../modules/mongodbbackend/mongodbbackend.o ../modules/mongodbbackend/minimal.o ../modules/mongodbbackend/slave.o ../modules/mongodbbackend/master.o ../modules/mongodbbackend/reload.o ../modules/mongodbbackend/private.o ../modules/mongodbbackend/dnssec.o ../modules/mongodbbackend/supermaster.o ../modules/mongodbbackend/crc32.o ../modules/luabackend/luabackend.o ../modules/luabackend/minimal.o ../modules/luabackend/reload.o ../modules/luabackend/lua_functions.o ../modules/luabackend/master.o ../modules/luabackend/private.o ../modules/luabackend/slave.o ../modules/luabackend/supermaster.o ../modules/luabackend/dnssec.o ../modules/gpgsqlbackend/gpgsqlbackend.o ../modules/gpgsqlbackend/spgsql.o ../modules/xdbbackend/xdbbackend.o ../modules/xdbbackend/xtdb.o ../modules/pipebackend/coprocess.o ../modules/pipebackend/pipebackend.o ../modules/oraclebackend/oraclebackend.o ../modules/pipebackend/coprocess.o ../modules/pipebackend/pipebackend.o ../modules/pdnsbackend/pdnsbackend.o ../modules/db2backend/DB2Backend.o ../modules/ldapbackend/ldapbackend.o ../modules/ldapbackend/powerldap.o ../modules/gsqlitebackend/gsqlitebackend.o ../modules/gsqlitebackend/ssqlite.o ../modules/gsqlite3backend/gsqlite3backend.o ../modules/gsqlite3backend/ssqlite3.o ../modules/geobackend/geobackend.o ../modules/geobackend/ippreftree.o ../modules/goraclebackend/goraclebackend.o ../modules/goraclebackend/soracle.o ../modules/opendbxbackend/odbxbackend.o ../modules/opendbxbackend/odbxprivate.o
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
programdescend = pdns
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
socketdir = /var/run
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu codedocs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu codedocs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

=== pdns/ext/polarssl/Makefile ===
all:
	cd library  && $(MAKE) all && cd ..

clean:
	cd library  && $(MAKE) clean && cd ..

distclean: clean

install:
	

distdir:
	mkdir -p $(distdir)
	cp ChangeLog LICENSE  Makefile  README  $(distdir)
	mkdir $(distdir)/library
	mkdir -p $(distdir)/include/polarssl
	cp library/Makefile library/*.c $(distdir)/library
	cp include/polarssl/*.h $(distdir)/include/polarssl

=== debian/changelog ===
pdns (3.0-1) unstable; urgency=low

  * New upstream version (Closes: #624330, #626909, #617476, #498918, #500572)
    (Closes: #645539, #623036, #521791, #583161, #590285, #499396)
  * Update Standards-Version to 3.9.2
  * Add lua backend.
  * Use new style dh instead of individual dh_* commands.
  * Add Homepage to debian/control (Closes: #634947)
  * Add pdnssec and dnsreplay utility.
  * Use dbconfig-common to populate / upgrade databases.
  * Update patch addconfigdir, do not parse ucf-dist files.
  * Update manpage pdns_control and include a list of options (Closes: #621724)
  * Add manpage for pdnssec.
  * Add prerm scripts to the backends, stop the pdns server.
  * Add patch from upstream to properly parse priority. (Closes: #533023)

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sat, 19 Nov 2011 11:58:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: pdns
 Section: net
 Priority: extra
-Standards-Version: 3.9.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthijs Möhlmann <matthijs@cacholong.nl>
-Build-Depends: debhelper (>= 6.0.7), po-debconf, libtool, flex, bison, docbook-utils, docbook, libmysqlclient-dev, libpq-dev, libssl-dev, libtdb-dev, libgdbm-dev, libldap2-dev, libsqlite0-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, autotools-dev, automake1.9, autoconf
+Standards-Version: 3.9.2
+Maintainer: Matthijs Möhlmann <matthijs@cacholong.nl>
+Build-Depends: debhelper (>= 7.0.50~), po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, tdb-dev, libgdbm-dev, libldap2-dev, libsqlite0-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, autotools-dev, automake, autoconf, liblua5.1-0-dev, pkg-config, libcrypto++-dev, mongodb-dev, ragel
 Vcs-Git: git://github.com/Signum/debian-pdns.git
+Homepage: http://www.powerdns.com/
 
 Package: pdns-server
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), adduser
 Replaces: pdns
-Recommends: pdns-doc
 Suggests: pdns-backend, pdns-recursor
 Description: extremely powerful and versatile nameserver
  PowerDNS is a versatile nameserver which supports a large number
@@ -37,19 +36,6 @@
  .
  This package contains debugging symbols for PowerDNS to assist in
  debugging, such as gdb. It is not required for normal operation.
-
-Package: pdns-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}
-Description: PowerDNS manual
- PowerDNS is a versatile nameserver which supports a large number
- of different backends ranging from simple zonefiles to relational
- databases and load balancing/failover algorithms.
- PowerDNS tries to emphasize speed and security.
- .
- This is the complete manual for PowerDNS, documenting both how to
- install and configure it as well as how to write new backend modules.
 
 Package: pdns-backend-pipe
 Architecture: any
@@ -93,7 +79,9 @@
 
 Package: pdns-backend-mysql
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
+Recommends: mysql-client
+Suggests: mysql-server
 Provides: pdns-backend
 Description: generic MySQL backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
@@ -106,7 +94,9 @@
 
 Package: pdns-backend-pgsql
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
+Recommends: postgresql-client
+Suggests: postgresql
 Provides: pdns-backend
 Description: generic PostgreSQL backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
@@ -119,7 +109,7 @@
 
 Package: pdns-backend-sqlite
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite, dbconfig-common
 Provides: pdns-backend
 Description: sqlite backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
@@ -131,7 +121,7 @@
 
 Package: pdns-backend-sqlite3
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite3
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite3, dbconfig-common
 Provides: pdns-backend
 Description: sqlite backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
@@ -141,3 +131,27 @@
  .
  This package contains a generic SQLite backend for PowerDNS.
 
+Package: pdns-backend-lua
+Architecture: any
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: pdns-backend
+Description: lua backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains a lua backend for PowerDNS.
+
+#Package: pdns-backend-mongodb
+#Architecture: any
+#Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+#Provides: pdns-backend
+#Description: mongodb backend for PowerDNS
+# PowerDNS is a versatile nameserver which supports a large number
+# of different backends ranging from simple zonefiles to relational
+# databases and load balancing/failover algorithms.
+# PowerDNS tries to emphasize speed and security.
+# .
+# This package contains a mongodb backend for PowerDNS.
+

=== debian/rules ===
#!/usr/bin/make -f

# Backends (mongodb removed for now, fails to compile)
backends := ldap pipe gmysql gpgsql gsqlite gsqlite3 geo lua

# Use new build system
%:
	dh $@ --with-autotools_dev --parallel

# Need to run the bootstrap first, and we have some custom flags for ./configure
override_dh_auto_configure:
	
	# First run the bootstrap.
	./bootstrap
	
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--sysconfdir=/etc/powerdns \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libdir='$${prefix}/lib/powerdns' \
		--libexecdir='$${prefix}/lib' \
		--with-dynmodules="$(backends)" \
		--with-modules="" \
		--with-pgsql-includes=`pg_config --includedir` \
		--with-boost=/usr \
		--enable-cryptopp \
		--disable-recursor

# pdns-server has a debug package
override_dh_strip:
	dh_strip --dbg-package=pdns-server-dbg

# Additional permissions
override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/pdns-server/etc/resolvconf/update.d/pdns
